Bug 587411 - livecd-iso-to-disk --format fails with SD/MMC partitions
livecd-iso-to-disk --format fails with SD/MMC partitions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 16:24 EDT by Frederick Grose
Modified: 2016-04-26 18:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use ${partnum} in createMSDOSLayout() (642 bytes, patch)
2010-04-29 16:24 EDT, Frederick Grose
no flags Details | Diff
use ${partnum} in createMSDOSLayout() & createGPTLayout() (1.10 KB, patch)
2010-04-29 17:50 EDT, Frederick Grose
no flags Details | Diff
partition number support for SD/MMC devices (2.91 KB, patch)
2010-05-04 22:04 EDT, Frederick Grose
no flags Details | Diff
Support for prefixed partition numbers (3.11 KB, patch)
2010-05-12 17:33 EDT, Frederick Grose
no flags Details | Diff
Support prefixed partition numbers (2.87 KB, patch)
2010-11-23 20:28 EST, Frederick Grose
no flags Details | Diff

  None (edit)
Description Frederick Grose 2010-04-29 16:24:54 EDT
Created attachment 410226 [details]
use ${partnum} in createMSDOSLayout()

With an SD card device, /dev/mmcblk0, the createMSDOSLayout() function fails,

   /dev/mmcblk01: No such file or directory
 
at the hard coded partition assignment,

   USBDEV=${device}1

getdisk() provides the needed ${partnum}, so

   USBDEV=${device}${partnum}

fixes the failure.
Comment 1 Frederick Grose 2010-04-29 17:50:58 EDT
Created attachment 410240 [details]
use ${partnum} in createMSDOSLayout() & createGPTLayout()

Needed in createGTPLayout() as well.
(${partnum} reports 'p1' on SD/MMC partitions vs. '1' elsewhere.)
Comment 2 David Huff 2010-05-04 09:04:54 EDT
Although getdisk() does provide ${partnum}, this is only the case if the user enters a full partition path for <usb storage device>, ie:

# livecd-iso-to-disk test.iso /dev/sdc1

I am not sure if this is desired functionality or not?


Comments....
Comment 3 Frederick Grose 2010-05-04 22:04:05 EDT
Created attachment 411456 [details]
partition number support for SD/MMC devices

In order to support multiple partitions, we need to have users specify a partition for the --format option, unless they also specify --reset-mbr.

Not sure if there is a better way to check for the SD/MMC status.

The patch has not been tested for the EFI code path.
Comment 4 Fedora Admin XMLRPC Client 2010-05-07 11:40:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Frederick Grose 2010-05-12 17:33:54 EDT
Created attachment 413572 [details]
Support for prefixed partition numbers

This provides more robust support for prefixed partition number schemes such as used on SD/MMC partitions by retrieving partitions from /proc/partitions.
Comment 6 Fedora Update System 2010-09-12 00:20:13 EDT
livecd-tools-034-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/livecd-tools-034-1.fc14
Comment 7 Fedora Update System 2010-09-13 14:10:03 EDT
livecd-tools-034-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/livecd-tools-034-2.fc14
Comment 8 Bruno Wolff III 2010-09-13 16:30:33 EDT
It looks like there are several parts to this bug. I only applied the unmounting part. I need to take a look at the suggested solution. Running awk on /proc/partitions doesn't look that robust to me. There should be a better way to find a list of partition devices associated with a device.
This fix will likely slip to 035 unless it is a beta blocker.
I'll still try to get something in for final, but there isn't much time for beta.
Comment 9 Fedora Admin XMLRPC Client 2010-10-21 13:58:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Frederick Grose 2010-11-23 20:28:20 EST
Created attachment 462500 [details]
Support prefixed partition numbers

Partition numbers and any prefix is now detected with simpler code.
Comment 11 Fedora Update System 2010-12-23 12:47:38 EST
livecd-tools-13.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/livecd-tools-13.1-1.fc13
Comment 12 Fedora Update System 2010-12-23 12:51:11 EST
livecd-tools-14.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/livecd-tools-14.1-1.fc14
Comment 13 Fedora Update System 2011-02-18 21:19:10 EST
livecd-tools-14.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/livecd-tools-14.2-1.fc14
Comment 14 Fedora Update System 2011-02-23 19:45:27 EST
livecd-tools-13.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/livecd-tools-13.2-1.fc13
Comment 15 Fedora Update System 2011-02-24 01:30:05 EST
livecd-tools-13.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/livecd-tools-13.2-1.fc13
Comment 16 Fedora Update System 2011-02-24 15:55:31 EST
livecd-tools-14.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Bug Zapper 2011-06-02 10:42:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Fedora Update System 2011-06-02 11:30:26 EDT
livecd-tools-13.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/livecd-tools-13.3-1.fc13
Comment 20 Bug Zapper 2011-06-27 11:58:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.